#include <cstdio>
#include <iostream>
#include "DuplexSocket.hh"

using namespace std;

int main() {
  //  try {
    DuplexSocket d(1124);
    char x[]="abcdefghijklmnopqrstuvwxyz";
    char y[2]="?";
    char z[5]="paul";
    z[4]='\n';

    while(true) {
      //      d.recv(y,1);
      //      n=atoi(y);
      //      cout << y << " = " << n << endl;
    
      d.send(z,5);
      cin >> z[0];
    }
    //  }
  return 0;
}
